
;*********************************************************************

text_version:

.if RAM_CLOCK == 50

	.db		"MiniLog 50MHz Hardware v",HW_VER,".",HW_REV," - Software v",FW_VER,".",FW_REV," - Ram: ",0

.else

	.db		"MiniLog 80MHz Hardware v",HW_VER,".",HW_REV," - Software v",FW_VER,".",FW_REV," - Ram: ",0

.endif

text_ok:
  .db   "  ok  ",0,0

tab_funktion:
  .dw   send_version            ;  0
  .dw   test_input_h            ;  1
  .dw   test_input_l            ;  2
  .dw   dummy                   ;  3
  .dw   dummy                   ;  4 
  .dw   dummy                   ;  5
  .dw   dummy                   ;  6 
  .dw   dummy                   ;  7
  .dw   dummy                   ;  8
  .dw   dummy                   ;  9
  .dw   test_bin_count          ; 10
	.dw		int_clock_int_trigger		; 11


.if RAM_CLOCK == 50

tab_timer_intervall:
	.dw		CLK_50M									; 1    50MHz ->   20ns 
	.dw		BUF_LEN_MAX / 25				; Rest-Zhler fr vollen Bereich
	.dw		1												; Warteschleife, 10 Takte, -> 2MHz

	.dw		CLK_20M									; 1    20MHz ->   50ns 
	.dw		BUF_LEN_MAX / 10				; Rest-Zhler fr vollen Bereich
	.dw		1												; Warteschleife, 20 Takte, -> 1MHz

	.dw		CLK_10M									; 1    10MHz ->   100ns 
	.dw		BUF_LEN_MAX / 5	  			; Rest-Zhler fr vollen Bereich
	.dw		1												; Warteschleife, 20 Takte, -> 1MHz

	.dw		CLK_5M									; 2    5MHz ->   200ns
	.dw		BUF_LEN_MAX / 2.5				; Rest-Zhler fr vollen Bereich
	.dw		1												; Warteschleife, 20 Takte, -> 1MHz

	.dw		CLK_2M									; 5    2MHz ->   500ns
	.dw		BUF_LEN_MAX							; Rest-Zhler fr vollen Bereich
	.dw		1												; Warteschleife, 10 Takte, -> 2MHz

	.dw		CLK_1M									; 10    1MHz ->   1s
	.dw		BUF_LEN_MAX							; Rest-Zhler fr vollen Bereich
	.dw		2												; Warteschleife, 10 Takte, -> 2MHz

	.dw		CLK_500K								; 20   500kHz ->   2s
	.dw		BUF_LEN_MAX							; Rest-Zhler fr vollen Bereich
	.dw		4												; Warteschleife, 10 Takte, -> 2MHz

	.dw		CLK_200K								; 50  200kHz ->   5s
	.dw		BUF_LEN_MAX							; Rest-Zhler fr vollen Bereich
	.dw		10											; Warteschleife, 10 Takte, -> 2MHz

	.dw		CLK_100K								; 100  100kHz ->   10s
	.dw		BUF_LEN_MAX							; Rest-Zhler fr vollen Bereich
	.dw		20											; Warteschleife, 10 Takte, -> 2MHz

	.dw		CLK_50K									; 200   50kHz ->   20s
	.dw		BUF_LEN_MAX							; Rest-Zhler fr vollen Bereich
	.dw		40											; Warteschleife, 20 Takte, -> 1MHz

	.dw		CLK_20K									; 500   20kHz ->   50s
	.dw		BUF_LEN_MAX							; Rest-Zhler fr vollen Bereich
	.dw		100											; Warteschleife, 20 Takte, -> 1MHz

	.dw		CLK_10K									; 1000   10kHz ->  100s
	.dw		BUF_LEN_MAX							; Rest-Zhler fr vollen Bereich
	.dw		200											; Warteschleife, 20 Takte, -> 1MHz

	.dw		CLK_5K									; 2000    5kHz ->  200s
	.dw		BUF_LEN_MAX							; Rest-Zhler fr vollen Bereich
	.dw		400											; Warteschleife, 20 Takte, -> 1MHz
	
	.dw	    CLK_2K								; 5000    2kHz ->  500s
	.dw		BUF_LEN_MAX							; Rest-Zhler fr vollen Bereich
	.dw		1000										; Warteschleife, 10 Takte, -> 2MHz

	.dw		CLK_1K									; 10000   1kHz ->  1ms
	.dw		BUF_LEN_MAX							; Rest-Zhler fr vollen Bereich
	.dw		2000										; Warteschleife, 10 Takte, -> 2MHz
						
.else

tab_timer_intervall:
	.dw		CLK_80M									; 1    80MHz ->   20ns 
	.dw		BUF_LEN_MAX / 40				; Rest-Zhler fr vollen Bereich
	.dw		1												; Warteschleife, 10 Takte, -> 2MHz

	.dw		CLK_40M									; 1    40MHz ->   20ns 
	.dw		BUF_LEN_MAX / 20				; Rest-Zhler fr vollen Bereich
	.dw		1												; Warteschleife, 10 Takte, -> 2MHz

	.dw		CLK_20M									; 1    20MHz ->   50ns 
	.dw		BUF_LEN_MAX / 10				; Rest-Zhler fr vollen Bereich
	.dw		1												; Warteschleife, 20 Takte, -> 1MHz

	.dw		CLK_10M									; 1    10MHz ->   100ns 
	.dw		BUF_LEN_MAX / 5	  			; Rest-Zhler fr vollen Bereich
	.dw		1												; Warteschleife, 20 Takte, -> 1MHz

	.dw		CLK_5M									; 2    5MHz ->   200ns
	.dw		BUF_LEN_MAX / 2.5				; Rest-Zhler fr vollen Bereich
	.dw		1												; Warteschleife, 20 Takte, -> 1MHz

	.dw		CLK_2M									; 5    2MHz ->   500ns
	.dw		BUF_LEN_MAX							; Rest-Zhler fr vollen Bereich
	.dw		1												; Warteschleife, 10 Takte, -> 2MHz

	.dw		CLK_1M									; 10    1MHz ->   1s
	.dw		BUF_LEN_MAX							; Rest-Zhler fr vollen Bereich
	.dw		2												; Warteschleife, 10 Takte, -> 2MHz

	.dw		CLK_500K								; 20   500kHz ->   2s
	.dw		BUF_LEN_MAX							; Rest-Zhler fr vollen Bereich
	.dw		4												; Warteschleife, 10 Takte, -> 2MHz

	.dw		CLK_200K								; 50  200kHz ->   5s
	.dw		BUF_LEN_MAX							; Rest-Zhler fr vollen Bereich
	.dw		10											; Warteschleife, 10 Takte, -> 2MHz

	.dw		CLK_100K								; 100  100kHz ->   10s
	.dw		BUF_LEN_MAX							; Rest-Zhler fr vollen Bereich
	.dw		20											; Warteschleife, 10 Takte, -> 2MHz

	.dw		CLK_50K									; 200   50kHz ->   20s
	.dw		BUF_LEN_MAX							; Rest-Zhler fr vollen Bereich
	.dw		40											; Warteschleife, 20 Takte, -> 1MHz

	.dw		CLK_20K									; 500   20kHz ->   50s
	.dw		BUF_LEN_MAX							; Rest-Zhler fr vollen Bereich
	.dw		100											; Warteschleife, 20 Takte, -> 1MHz

	.dw		CLK_10K									; 1000   10kHz ->  100s
	.dw		BUF_LEN_MAX							; Rest-Zhler fr vollen Bereich
	.dw		200											; Warteschleife, 20 Takte, -> 1MHz

	.dw		CLK_5K									; 2000    5kHz ->  200s
	.dw		BUF_LEN_MAX							; Rest-Zhler fr vollen Bereich
	.dw		400											; Warteschleife, 20 Takte, -> 1MHz
	
	.dw	    CLK_2K								; 5000    2kHz ->  500s
	.dw		BUF_LEN_MAX							; Rest-Zhler fr vollen Bereich
	.dw		1000										; Warteschleife, 10 Takte, -> 2MHz

	.dw		CLK_1K									; 10000   1kHz ->  1ms
	.dw		BUF_LEN_MAX							; Rest-Zhler fr vollen Bereich
	.dw		2000										; Warteschleife, 10 Takte, -> 2MHz

.endif
